import httpRequest from '@/utils/axios'

// 新建客户组
export function createCustomerGroup(data) {
  return httpRequest.post('/api/customer/admin/v1/group', data)
}
// 获取客户组列表
export function getCustomerGroup(params) {
  return httpRequest.get('/api/customer/admin/v1/groups', params)
}
// 编辑客户组
export function editCustomerGroup(id, data) {
  return httpRequest.put(`/api/customer/admin/v1/group/${id}`, data)
}
// 删除客户组
export function delCustomerGroup(id, data) {
  return httpRequest.delete(`/api/customer/admin/v1/group/${id}`, data)
}
// 客户组详情
export function customerGroupDetail(id, params) {
  return httpRequest.get(`/api/customer/admin/v1/group/${id}`, params)
}
// 添加客户
export function createCustomer(group_id, data) {
  return httpRequest.post(`/api/customer/admin/v1/${group_id}/customer-to-group`, data)
}
// 删除客户
export function delCustomer(id) {
  return httpRequest.delete(`/api/customer/admin/v1/customer/${id}`)
}
// 添加员工
export function createEmployee(group_id, data) {
  return httpRequest.post(`/api/customer/admin/v1/${group_id}/staff-to-group`, data)
}
// 删除员工
export function delEmployee(id, data) {
  return httpRequest.delete(`/api/customer/admin/v1/contact/${id}`, data)
}
// 搜索员工
export function getEmployee(params) {
  return httpRequest.get('/api/customer/admin/v1/system/search-sso-users', { params })
}
