import fs from 'fs'
import path from 'path'
import { defineConfig } from 'vite'
import { createVuePlugin } from 'vite-plugin-vue2'

export default defineConfig({
  base: process.env.BUILD_ENV === 'prod' ? 'https://webapp-pub.ezijing.com/website/prod/marketing-admin/' : '/',
  plugins: [createVuePlugin()],
  server: {
    open: true,
    host: 'dev.ezijing.com',
    https: {
      key: fs.readFileSync(path.join(__dirname, './certs/dev.ezijing.com.key')),
      cert: fs.readFileSync(path.join(__dirname, './certs/dev.ezijing.com.pem'))
    },
    proxy: {
      '/api': 'https://customer-admin2.ezijing.com/'
    }
  },
  resolve: {
    alias: [
      {
        find: '@',
        replacement: path.resolve(__dirname, 'src')
      }
    ]
  }
})
